Loading...
Searching...
No Matches
starpu_parallel_worker.h File Reference
`#include <starpu_config.h>`
`#include <hwloc.h>`

Go to the source code of this file.

## Macros

#define | STARPU_PARALLEL_WORKER_MIN_NB
#define | STARPU_PARALLEL_WORKER_MAX_NB
#define | STARPU_PARALLEL_WORKER_NB
#define | STARPU_PARALLEL_WORKER_PREFERE_MIN
#define | STARPU_PARALLEL_WORKER_KEEP_HOMOGENEOUS
#define | STARPU_PARALLEL_WORKER_POLICY_NAME
#define | STARPU_PARALLEL_WORKER_POLICY_STRUCT
#define | STARPU_PARALLEL_WORKER_CREATE_FUNC
#define | STARPU_PARALLEL_WORKER_CREATE_FUNC_ARG
#define | STARPU_PARALLEL_WORKER_TYPE
#define | STARPU_PARALLEL_WORKER_AWAKE_WORKERS
#define | STARPU_PARALLEL_WORKER_PARTITION_ONE
#define | STARPU_PARALLEL_WORKER_NEW
#define | STARPU_PARALLEL_WORKER_NCORES
#define | starpu_parallel_worker_intel_openmp_mkl_prologue
#define | STARPU_CLUSTER_MIN_NB
#define | STARPU_CLUSTER_MAX_NB
#define | STARPU_CLUSTER_NB
#define | STARPU_CLUSTER_PREFERE_MIN
#define | STARPU_CLUSTER_KEEP_HOMOGENEOUS
#define | STARPU_CLUSTER_POLICY_NAME
#define | STARPU_CLUSTER_POLICY_STRUCT
#define | STARPU_CLUSTER_CREATE_FUNC
#define | STARPU_CLUSTER_CREATE_FUNC_ARG
#define | STARPU_CLUSTER_TYPE
#define | STARPU_CLUSTER_AWAKE_WORKERS
#define | STARPU_CLUSTER_PARTITION_ONE
#define | STARPU_CLUSTER_NEW
#define | STARPU_CLUSTER_NCORES

## Enumerations

enum | starpu_parallel_worker_types { STARPU_PARALLEL_WORKER_OPENMP , STARPU_PARALLEL_WORKER_INTEL_OPENMP_MKL , STARPU_PARALLEL_WORKER_GNU_OPENMP_MKL }
enum | starpu_cluster_types { STARPU_CLUSTER_OPENMP , STARPU_CLUSTER_INTEL_OPENMP_MKL , STARPU_CLUSTER_GNU_OPENMP_MKL }

## Functions

struct starpu_parallel_worker_config * | starpu_parallel_worker_init (hwloc_obj_type_t parallel_worker_level,...)
int | starpu_parallel_worker_shutdown (struct starpu_parallel_worker_config *parallel_workers)
int | starpu_parallel_worker_print (struct starpu_parallel_worker_config *parallel_workers)
void | starpu_parallel_worker_openmp_prologue (void *)
void | starpu_parallel_worker_gnu_openmp_mkl_prologue (void *)
struct starpu_cluster_machine * | starpu_cluster_machine (hwloc_obj_type_t cluster_level,...)
int | starpu_uncluster_machine (struct starpu_cluster_machine *clusters)
int | starpu_cluster_print (struct starpu_cluster_machine *clusters)